# $Revision: 1.16 $, $Date: 2006/05/21 22:15:37 $
Summary:	UCSC SMART suite - S.M.A.R.T. utility for Linux
Summary(pl):	UCSC SMART suite - obsuga S.M.A.R.T. dla Linuksa
Summary(pt_BR):	Conjunto de utilitrios SMART para Linux
Name:		smartsuite
Version:	2.1
Release:	6
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/smartsuite/%{name}-%{version}.tar.gz
# Source0-md5:	f793fa1ed6419090af1c8e45cc052805
Source1:	%{name}.init
Patch0:		%{name}-u8.patch
URL:		http://csl.cse.ucsc.edu/smart.shtml
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	smartctl
Obsoletes:	smartmontools
Obsoletes:	ucsc-smartsuite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UCSC SMART suite controls and monitors storage devices uning the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
build into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contents two utilities, smartctl is a command line utility designed to
perform simple S.M.A.R.T. tasks. And smartd is a daemon that
periodically monitors smart status and reports errors to syslog.

%description -l pl
USCS SMART suite suy do kontroli i monitorowania urzdze z systemem
S.M.A.R.T., takich jak dyski ATA i SCSI. System ten pozwala okrela
wiarygodno dyskw i przewidywa awarie. Pakiet zawiera dwa programy:
smartctl (obsugiwany z linii polece) i smartd (demon regularnie
monitorujcy stan dyskw).

%description -l pt_BR
SMART suite controla e monitora dispositivos de armazenamento usando o
sistema de auto-monitorao e anlise existente em discos rgidos ATA e
SCSI. Esse sistema  utilizado para verificar a confiabilidade do disco
e prever falhas no equipamento.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -fsigned-char -DLINUX"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smartd
install smartd smartctl $RPM_BUILD_ROOT%{_sbindir}
install smartd.8 smartctl.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
%service smartd restart "smartd service"

%preun
if [ "$1" = "0" ]; then
	%service smartd stop
	/sbin/chkconfig --del smartd
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/smartd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smartsuite.spec,v $
Revision 1.16  2006/05/21 22:15:37  glen
- rel 6

Revision 1.15  2006/03/13 23:14:32  glen
- use %service

Revision 1.14  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.13  2004/07/13 11:05:21  ankry
- O: smartmontools, rel. 5

Revision 1.12  2004/02/22 22:49:36  areq
- add u8.patch (typedef unsigned char u8;)

Revision 1.11  2003/11/29 12:54:19  undefine
- release 4 to rebuild with ac

Revision 1.10  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.9  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.6  2002/09/07 06:22:02  kloczek
- release 3.

Revision 1.5  2002/09/05 23:23:20  undefine
- pt translation from Connectiva linux
- new %doc automation

Revision 1.4  2002/03/16 20:34:06  orzech
- without_dist_kernel bcond

Revision 1.3  2002/03/16 09:00:54  orzech
- BR: kernel-headers
- works fine, STBR

Revision 1.2  2002/03/02 10:26:42  kloczek
- cut changelog.

Revision 1.1  2002/02/27 20:25:53  misiek
- renamed from ucsc-smartsuite and updated to 2.1
